package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("RoutingTable")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RoutingTable implements Marshallable {
	private RouteOverride[] overrides;
	private Route[] routes;

    //
	public RouteOverride[] getOverrides() {
	    return overrides;
	}
	public void setOverrides(final RouteOverride[] value) {
	    this.overrides = value;
	}

	public RoutingTable overrides(final RouteOverride[] value) {
	    setOverrides(value);
	    return this;
	}
	public Route[] getRoutes() {
	    return routes;
	}
	public void setRoutes(final Route[] value) {
	    this.routes = value;
	}

	public RoutingTable routes(final Route[] value) {
	    setRoutes(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.overrides == null)) {
            marshaller.writeValue(1, overrides);
        }
        if (!(this.routes == null)) {
            marshaller.writeValue(2, routes);
        }
        return marshaller.array();
    }
}
